package org.jeecg.common.limit;


import java.lang.annotation.*;

/**
 * 用于防刷限流的注解
 * 默认是3秒内只能调用一次
 * @author niugeng
 * @date 2023-12-13 14:02
 */
@Target({ ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface RateLimit {

    /** 限流的key */
    String key() default "limit:";

    /** 周期,单位是秒 */
    int cycle() default 3;

    /** 请求次数 */
    int count() default 1;

    /** 默认提示信息 */
    String msg() default "请勿重复点击";
}
